# Type alias ngeoGeolocationOptions

ngeoGeolocationOptions: {
accuracyFeatureStyle?: StyleLike;
atLoadingTime?: boolean;
autoRotate?: boolean;
positionFeatureStyle?: StyleLike;
zoom?: number;
}

Options for the geolocation directive.

#### Type declaration

- ##### `Optional` accuracyFeatureStyle?: StyleLike

  The style to use to sketch the accuracy feature, which is a regular polygon.

- ##### `Optional` atLoadingTime?: boolean

  Toggle geolocating at loading time if true.

- ##### `Optional` autoRotate?: boolean

  Autorotate.

- ##### `Optional` positionFeatureStyle?: StyleLike

  The style to use to sketch the position feature, which is a point.

- ##### `Optional` zoom?: number

  If set, in addition to recentering the map view at the location, determines the zoom level to set when obtaining a new position

- Defined in srcapi/store/config.ts:523

Generated using TypeDoc